Uploaded image for project: 'Nuxeo ECM Build/Test Environment'
  1. Nuxeo ECM Build/Test Environment
  2. NXBT-3444

Fix Branch API Plugin version in Jenkins Platform

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Jenkins X

      Description

      Since a recent upgrade (see NXBT-3443) we have hit a Jenkins startup issue due to the Branch API Plugin 2.6.3 release which requires Jenkins 2.264.

      The Jenkins startup logs state this:

      2020-11-26 16:13:34.055+0000 [id=25]	SEVERE	jenkins.InitReactorRunner$1#onTaskFailed: Failed Loading plugin Branch API Plugin v2.6.3 (branch-api)
      java.io.IOException: Failed to load: Branch API Plugin (2.6.3)
       - Jenkins (2.264) or higher required
       - Update required: Folders Plugin (6.14) to be updated to 6.15 or higher
      	at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:952)
      	at hudson.PluginManager$2$1$1.run(PluginManager.java:549)
      	at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
      	at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:296)
      	at jenkins.model.Jenkins$5.runTask(Jenkins.java:1131)
      	at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:214)
      	at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
      	at jenkins.security.ImpersonatingExecutorService$1.run(ImpersonatingExecutorService.java:59)
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
      	at java.lang.Thread.run(Thread.java:748)
      2020-11-26 16:13:34.056+0000 [id=25]	SEVERE	jenkins.InitReactorRunner$1#onTaskFailed: Failed Loading plugin Pipeline: Multibranch v2.21 (workflow-multibranch)
      java.io.IOException: Failed to load: Pipeline: Multibranch (2.21)
       - Failed to load: Branch API Plugin (2.6.3)
      	at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:952)
      	at hudson.PluginManager$2$1$1.run(PluginManager.java:549)
      	at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
      	at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:296)
      	at jenkins.model.Jenkins$5.runTask(Jenkins.java:1131)
      	at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:214)
      	at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
      	at jenkins.security.ImpersonatingExecutorService$1.run(ImpersonatingExecutorService.java:59)
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
      	at java.lang.Thread.run(Thread.java:748)
      ...
      

      We want to fix this plugin version to the 2.6.2 in our plugins.txt file.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 10 minutes
                  10m

                    PagerDuty